function result = clearBorders(image)
%Remove shapes that touch the border by using a fill operation

%apply threshold
clean = image > 0.3;
N=1;
clean = imerode(clean, strel('disk', N));
clean = imdilate(clean, strel('disk', N));

%add a white border around the image
border = clean;
border (1 ,:) = 1;
border (end ,:) = 1;
border (: ,1) = 1;
border (:, end) = 1;

%Invert and then fill
border = 1 - border;
border = imfill(border);
result = (clean .* border); % .* image;
